
<div class="page-margin">
	<div class="container">
		<h2 class="tag_page_title m5">Edit Video Course</h2>
		<div class="page-margin wow_content wow_sett_content">
			<div class="wo_page_hdng">
				<span><svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" viewBox="0 0 24 24"><path fill="currentColor" d="M12,13A5,5 0 0,1 7,8H9A3,3 0 0,0 12,11A3,3 0 0,0 15,8H17A5,5 0 0,1 12,13M12,3A3,3 0 0,1 15,6H9A3,3 0 0,1 12,3M19,6H17A5,5 0 0,0 12,1A5,5 0 0,0 7,6H5C3.89,6 3,6.89 3,8V20A2,2 0 0,0 5,22H19A2,2 0 0,0 21,20V8C21,6.89 20.1,6 19,6Z"></path></svg></span> Edit Video Course
			</div>
			<form class="create-video-form form-horizontal tag_field_full_margin" method="post">
			<div class="app-general-alert setting-update-alert"></div>
				<label class="tag_field">
					<input id="name" name="name" type="text" placeholder=" " value="<?php echo $wo['product']['name']?>">
					<span><?php echo $wo['lang']['name'] ?></span>
				</label>
				<label class="tag_field">
					<textarea name="description" rows="5" id="description" placeholder=" "><?php echo $wo['product']['edit_description']?></textarea>
					<span><?php echo $wo['lang']['description'] ?></span>
				</label>
				<div class="help-block"><?php echo $wo['lang']['please_describe_your_product'] ?></div>
				<div class="row">
					<div class="col-lg-4">
						<label class="tag_field">
							<select name="currency" id="currency">
								<?php foreach ($wo['currencies'] as $key => $currency) { ?>
									<option value="<?php echo $currency['text']; ?>" <?php echo ($wo['product']['currency'] == $currency['text']) ? 'selected' : ''; ?>><?php echo  $currency['text'] ?> (<?php echo  $currency['symbol'] ?>)</option>
								<?php } ?>
							</select>
							<span><?php echo $wo['lang']['currency'] ?></span>
						</label>
					</div>
					<div class="col-lg-4">
						<label class="tag_field">
							<input id="price" name="price" type="text" placeholder=" " value="<?php echo $wo['product']['price']?>">
							<span><?php echo $wo['lang']['price'] ?></span>
						</label>
					</div>
					<div class="col-lg-4">
						<label class="tag_field">
							<select name="category" id="category">
							<?php foreach ($wo['film-genres'] as $g_key => $g_value): 
								$selected = ($g_key == $wo['product']['genre']) ? 'selected' : '';
								?>
							<option value="<?php echo $g_key; ?>" <?php echo $selected?>><?php echo $g_value; ?></option>
						<?php endforeach;?>
								
							</select>
							<span><?php echo $wo['lang']['category'] ?></span>
						</label>
					</div>
				</div>
			
				<label class="tag_field">
								<textarea name="instructions_links" class="tag_cr_blog_write mce-content-body" id="instructions_links" data-phold="<?php echo $wo['lang']['write_something_here'] ?>"><?php echo $wo['product']['instructions_links']?></textarea> 
							</label>
							<div class="help-block">After purchase instructions and links. 
							Example: Thanks your for your purchase. Here are the links for watching the lessons:
https://mylink.com etc...</div>
						<label class="tag_field">
						<?php $groups=Wo_GetMyGroups(); 
							?>
							<select name="group_username" id="video_group_username" class="selectpicker">
								<option value="">Select</option>
								<?php foreach($groups as $group){ ?>
								<option <?php if($group['group_name']==$wo['product']['group_username']){ echo 'selected';} ?> value="<?php echo $group['group_name']; ?>"><?php echo $group['group_title']; ?></option>
								<?php } ?>
								</select>
						<span>Auto-invite to my group: (optional)</span>
					</label>
							<div class="help-block">This will invite the member to your group.</div>

						<label class="tag_field">
						<input id="preview_video" name="preview_video" type="text" placeholder=" " value="<?php echo $wo['product']['iframe']?>" onchange="Wo_ToggleMoviewsSource(this)">
						<span>Preview / promo video (optional)</span>
					</label>
							<div class="help-block">example: youtube.com, vimeo.com, site.com/video.mp4</div>
				
				<input type="hidden" name="product_id" value="<?php echo $wo['product']['id'];?>">
				<div class="tag_alone_label">
					<label><?php echo $wo['lang']['cover'];?></label>
				</div>
				<div id="video_productimage-holder" class="valign tag_slide_upload_img tag_crprods_upld_img">
				<span class="thumb-image">
							<div class="background_image_product" style="background-image: url('<?php echo '../'.$wo['product']['cover']; ?>');"></div>
						</span>
						<div class="upload-product-image pointer" onclick="document.getElementById('video_product-photos').click(); return false">
							<div class="valign">
								<svg height="28" viewBox="0 0 512 512" width="28" xmlns="http://www.w3.org/2000/svg"><path fill="currentColor" opacity=".7" d="m149.332031 149.332031c0 23.566407-19.101562 42.667969-42.664062 42.667969-23.566407 0-42.667969-19.101562-42.667969-42.667969 0-23.5625 19.101562-42.664062 42.667969-42.664062 23.5625 0 42.664062 19.101562 42.664062 42.664062zm0 0"/><path fill="currentColor" opacity=".7" d="m202.667969 373.332031c0-83.15625 59.816406-152.511719 138.664062-167.550781v-141.78125c0-35.285156-28.714843-64-64-64h-213.332031c-35.285156 0-64 28.714844-64 64v298.667969c0 35.285156 28.714844 64 64 64h147.328125c-5.546875-16.8125-8.660156-34.6875-8.660156-53.335938zm-101.546875-113.492187c-14.082032-14.078125-38.828125-14.078125-52.90625 0l-5.546875 5.527344v-201.367188c0-11.777344 9.554687-21.332031 21.332031-21.332031h213.332031c11.777344 0 21.335938 9.554687 21.335938 21.332031v137.367188l-16.214844-16.214844c-14.589844-14.59375-38.335937-14.59375-52.90625 0l-101.546875 101.546875zm0 0"/><path fill="currentColor" opacity=".7" d="m373.332031 234.667969c-76.457031 0-138.664062 62.207031-138.664062 138.664062 0 76.460938 62.207031 138.667969 138.664062 138.667969 76.460938 0 138.667969-62.207031 138.667969-138.667969 0-76.457031-62.207031-138.664062-138.667969-138.664062zm58.667969 160h-37.332031v37.332031c0 11.796875-9.539063 21.332031-21.335938 21.332031s-21.332031-9.535156-21.332031-21.332031v-37.332031h-37.332031c-11.796875 0-21.335938-9.539063-21.335938-21.335938s9.539063-21.332031 21.335938-21.332031h37.332031v-37.332031c0-11.796875 9.535156-21.335938 21.332031-21.335938s21.335938 9.539063 21.335938 21.335938v37.332031h37.332031c11.796875 0 21.332031 9.535156 21.332031 21.332031s-9.535156 21.335938-21.332031 21.335938zm0 0"/></svg>
							</div>
						</div>
					</div>
				<div class="hidden">
				<input type="file" id="video_product-photos" accept="image/x-png, image/jpeg" name="cover">
				</div>

				
				<input type="hidden" name="id" class="form-control input-md" value="">
				<input type="hidden" name="hash_id" value="<?php echo Wo_CreateSession();?>">
				<div class="text-center">
					<a class="btn btn-mat disable_btn" href="<?php echo Wo_SeoLink('index.php?link1=my-products'); ?>"><svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" viewBox="0 0 24 24"><path fill="currentColor" d="M20,11V13H8L13.5,18.5L12.08,19.92L4.16,12L12.08,4.08L13.5,5.5L8,11H20Z"></path></svg> <?php echo $wo['lang']['go_back'];?></a>
					<button class="btn btn-main btn-mat btn-mat-raised disable_btn" type="submit"><?php echo $wo['lang']['save']; ?></button>
				</div>
			</form>
		</div>
	</div>
</div>

<script type="text/javascript">
	
	$(document).ready(function() {
	$("#video_product-photos").on('change', function() {
		var product_image_holder = $("#video_productimage-holder");
		product_image_holder.find('img').remove();
		for (var i = 0; i < this.files.length; i++) {
			var fr = new FileReader();
			fr.onload = function(e) {
				$('#video_productimage-holder').append('<img src="' + e.target.result + '" class="thumb-image">')
			}
			fr.readAsDataURL(this.files[i]);
		}
	});
});

   $(function() {
    var status = $('#status');
    var publisher_button = $('#publisher-button');
     $('form.create-video-form').ajaxForm({
       url: Wo_Ajax_Requests_File() + '?f=video_course&s=edit',
       beforeSend: function() {
         $('.create-video-form').find('.disable_btn').attr('disabled','disabled');
       },
       success: function(data) {
         if (data.status == 200) {
           window.location.href = data.href;
         } else {
			$('.create-video-form').find('.disable_btn').removeAttr("disabled");
             var errors = data.errors;
             $('.app-general-alert').html('<div class="alert alert-danger">' + errors + '</div>');
             $('.alert-danger').fadeIn(300);
         }
         $('.create-video-form').find('.disable_btn').removeAttr("disabled");
       }
     });
   });
 

   function Wo_IsURL(str) {
	  var pattern = new RegExp('^(https?:\\/\\/)?'+ 
	  '((([a-z\\d]([a-z\\d-]*[a-z\\d])*)\\.?)+[a-z]{2,}|'+ 
	  '((\\d{1,3}\\.){3}\\d{1,3}))'+ 
	  '(\\:\\d+)?(\\/[-a-z\\d%_.~+]*)*'+ 
	  '(\\?[;&a-z\\d%_.~+=-]*)?'+ 
	  '(\\#[-a-z\\d_]*)?$','i'); 
	  return pattern.test(str);
	}

	function Wo_FilmMediaUrl(pastedData) {
		var success = false;
		var media   = {};
		if (GetYoutubeId(pastedData)) {

		    media.type  = "youtube";
		    media.id    = GetYoutubeId(pastedData);
		    success     = true;
		    $("#preview_video").attr('name', 'preview_video');
		}

		else if (Wo_GetVimeoID(pastedData)) {
		    media.type  = "vimeo";
		    media.id    = Wo_GetVimeoID(pastedData);
		    success     = true;
		    $("#preview_video").attr('name', 'preview_video');
		}

		else if (Wo_IsURL(pastedData)) {
		    media.type  = "other";
		    media.id    = pastedData;
		    success     = true;
		    $("#preview_video").attr('name', 'preview_video');
		}

		if (success) { 
			return media; 
		}

		else { 
			alert("Not valid source id detected"); 
			return false;
		}
	}

	function  Wo_ToggleMoviewsSource(self = false) {
		if (!self || self.value.length == '') {
			$('#film').attr('disabled', false);
			return false;
		}
		$('#film').attr('disabled', true);
		var url_data = Wo_FilmMediaUrl(self.value);
		if (url_data && url_data.type == 'youtube') {
			var u_source = "https://www.youtube.com/embed/" + url_data.id;
			$(".preview-utube-import").removeClass('hidden').find('iframe').attr('src', u_source);
			self.value = u_source;
		}
		else if (url_data && url_data.type == 'vimeo') {
			var u_source = "https://player.vimeo.com/video/" + url_data.id;
			//alert(u_source)
			$(".preview-utube-import").removeClass('hidden').find('iframe').attr('src', u_source);
			self.value   = u_source;
		}
		else if (url_data && url_data.type == 'other') {
			var u_source = url_data.id;
			var html = "\
			<div class='video-js-responsive-container vjs-hd'>\
			<video onplay='' class='video-js vjs-big-play-centered' controls preload='auto' poster='' data-setup='{}'>\
			    <source src='"+u_source+"' type='video/mp4'>\
			    <source src='"+u_source+"' type='video/webm'>\
			</video>\
			<script src='<?php echo $wo['config']['theme_url'];?>/player/Video/video.js'><\/script>\
			</div>\ ";
			$(".preview-utube-import").removeClass('hidden').html(html);
			self.value = u_source;
		}
	}


	function Wo_GetVimeoID(str) {

		if (str.indexOf('#') > -1) {
			str = str.split('#')[0];
		}

		if (str.indexOf('?') > -1) {
			str = str.split('?')[0];
		}

		var id;

		if (/https?:\/\/vimeo\.com\/[0-9]+$|https?:\/\/player\.vimeo\.com\/video\/[0-9]+$/igm.test(str)) {
			var arr = str.split('/');
			if (arr && arr.length) {
				id = arr.pop();
			}
		}
		return id;
	}




	function GetYoutubeId(str) {
		var shortcode = /youtube:\/\/|https?:\/\/youtu\.be\//g;

		if (shortcode.test(str)) {
			var shortcodeid = str.split(shortcode)[1];
			return Wo_StripParameters(shortcodeid);
		}
		var inlinev = /\/v\/|\/vi\//g;

		if (inlinev.test(str)) {
			var inlineid = str.split(inlinev)[1];
			return Wo_StripParameters(inlineid);
		}
		var parameterv = /v=|vi=/g;

		if (parameterv.test(str)) {
			var arr = str.split(parameterv);
			return arr[1].split('&')[0];
		}

		var embedreg = /\/embed\//g;

		if (embedreg.test(str)) {
			var embedid = str.split(embedreg)[1];
			return Wo_StripParameters(embedid);
		}

		var userreg = /\/user\//g;

		if (userreg.test(str)) {
			var elements = str.split('/');
			return Wo_StripParameters(elements.pop());
		}

		var attrreg = /\/attribution_link\?.*v%3D([^%&]*)(%26|&|$)/;

		if (attrreg.test(str)) {
			return str.match(attrreg)[1];
		}
	}

	tinymce.init({
	selector: '#instructions_links',
	menubar: 'insert',
	images_upload_credentials: true,
	paste_data_images: true,
	relative_urls : false,
	remove_script_host : false,
	convert_urls : true,
	entity_encoding : "raw",
	images_upload_url: Wo_Ajax_Requests_File() + '?f=upload-blog-image',
	toolbar: "undo redo | styleselect | bold italic | alignleft aligncenter alignright alignjustify | bullist numlist outdent indent | link image | forecolor backcolor | media",
	contextmenu: 'inserttable | cell row column deletetable',
	plugins: [
      "advlist autolink lists link image hr anchor pagebreak media",
      "searchreplace wordcount visualblocks visualchars code fullscreen",
      "insertdatetime nonbreaking save table contextmenu directionality",
      "paste textcolor colorpicker textpattern"
    ],
    file_picker_callback: function(callback, value, meta) {
      if (meta.filetype == 'image') {
        $('#upload').trigger('click');
        $('#upload').on('change', function() {
          var file = this.files[0];
          var reader = new FileReader();
          reader.onload = function(e) {
            callback(e.target.result, {
              alt: ''
            });
          };
          reader.readAsDataURL(file);
        });
      }
    },
});
</script>